Subject: RE: bug#8911: bs-cycle-next deletes window in some cases.

From: "Drew Adams" <[email-masked]>
Date: Wed, 29 Jun 2011 11:21:03 -0700

> Even if you insisted on prepopulating the hook so that the 
> _default_ behavior was whatever you prefer (e.g. iconifying),
> what I would like is for users to have real control over
> the behavior - not just some binary option to delete
> instead of iconify.

Let me also be clear that it is not about hook vs option.  It would be fine with
me if we had a user option for this instead of a hook, as long as it let you do
just as much.

E.g., a function to be invoked after the buffer order is changed.  Function
`ignore' would take care of the do-nothing case.  The function would need to
accept the buffer as its (first) argument.

What I object to is Stefan's proposal of an option that allows only a choice
between deleting the frame and iconifying it.